# define alphatag svn1211
%define buildtrunk 0
%{?alphatag: %define buildtrunk 1}
%{?_with_buildtrunk: %define buildtrunk 1}

%define major		4
%define major5		5
%define major7		7
%define major8		8
%define libname_common	%mklibname corosync_common %{major}
%define libnamedevel	%mklibname corosync -d

%define libcfg		%mklibname cfg %{major7}
%define libname_cmap	%mklibname cmap %{major}
%define libname_cpg	%mklibname cpg %{major}
%define libname_sam	%mklibname sam %{major}
%define libquorum	%mklibname quorum %{major5}
%define libvotequorum	%mklibname votequorum %{major8}

#define _disable_ld_no_undefined 1

Name:		corosync
Summary:	The Corosync Cluster Engine and Application Programming Interfaces
Version:	3.0.4
Release:	%mkrel 1
License:	BSD
Group:		System/Base
URL:		http://www.corosync.org
Source0:	http://build.clusterlabs.org/corosync/releases/corosync-%{version}.tar.gz
Source1:	http://build.clusterlabs.org/corosync/releases/corosync-%{version}.sha256
Source2:	http://build.clusterlabs.org/corosync/releases/corosync-%{version}.sha256.asc

# Runtime bits
Requires:	%{libname_common} >= %{version}-%{release}
Conflicts:	openais <= 0.89, openais-devel <= 0.89

BuildRequires: groff
BuildRequires: groff-for-man
BuildRequires: pkgconfig(nss)
BuildRequires: pkgconfig(libqb)
BuildRequires: pkgconfig(libknet)
BuildRequires: pkgconfig(libsystemd)

%description
This package contains the Corosync Cluster Engine Executive, several default
APIs and libraries, default configuration files, and an init script.

%package	-n %{libname_common}
Summary:	The Corosync Common Cluster Engine Libraries
Group:		System/Libraries
Conflicts:	%{_lib}corosync4 < 3.0.3-5

%description	-n %{libname_common}
This package contains corosync common libraries.

%package	-n %{libcfg}
Summary:	The Corosync Cfg Cluster Engine Libraries
Group:		System/Libraries
Conflicts:	%{_lib}corosync4 < 3.0.3-5

%description	-n %{libcfg}
This package contains corosync cfg libraries.

%package	-n %{libname_cmap}
Summary:	The Corosync Cmap Cluster Engine Libraries
Group:		System/Libraries
Conflicts:	%{_lib}corosync4 < 3.0.3-5

%description	-n %{libname_cmap}
This package contains corosync cmap libraries.

%package	-n %{libname_cpg}
Summary:	The Corosync Cpg Cluster Engine Libraries
Group:		System/Libraries
Conflicts:	%{_lib}corosync4 < 3.0.3-5

%description	-n %{libname_cpg}
This package contains corosync cpg libraries.

%package	-n %{libname_sam}
Summary:	The Corosync Sam Cluster Engine Libraries
Group:		System/Libraries
Conflicts:	%{_lib}corosync4 < 3.0.3-5

%description	-n %{libname_sam}
This package contains corosync sam libraries.

%package	-n %{libquorum}
Summary:	The Corosync Quorum Cluster Engine Libraries
Group:		System/Libraries
Conflicts:	%{_lib}corosync4 < 3.0.3-5

%description	-n %{libquorum}
This package contains corosync quorum libraries.

%package	-n %{libvotequorum}
Summary:	The Corosync Vote Quorum Cluster Engine Libraries
Group:		System/Libraries

%description	-n %{libvotequorum}
This package contains corosync votequorum libraries.

%package	-n %{libnamedevel}
Summary:	The Corosync Cluster Engine Development Kit
Group:		Development/C
Requires:	%{libname_common} = %{version}-%{release}
Requires:	%{libcfg} = %{version}-%{release}
Requires:	%{libname_cmap} = %{version}-%{release}
Requires:	%{libname_cpg} = %{version}-%{release}
Requires:	%{libname_sam} = %{version}-%{release}
Requires:	%{libquorum} = %{version}-%{release}
Requires:	%{libvotequorum} = %{version}-%{release}
Provides:	corosync-devel = %{version}
Provides:	corosynclibs-devel = %{version}
Obsoletes:	corosync-devel < 0.92-7
Obsoletes:	corosynclibs-devel < 1.1.0

%description	-n %{libnamedevel}
This package contains include files and man pages used to develop using
The Corosync Cluster Engine APIs.

%prep
%setup -q -n corosync-%{version}

# make autoreconf more happy
mkdir -p m4

%build
# fix build on aarch64
autoreconf -vfi

%configure \
                --enable-systemd \
		--with-systemddir=%{_unitdir}
%make_build

%install
%make_install

## tree fixup
# drop static libs
rm -f %{buildroot}%{_libdir}/*.a
rm -f %{buildroot}%{_libdir}/*.la
# drop docs and html docs for now
rm -rf %{buildroot}%{_docdir}/*

#add logs directory
install -d %{buildroot}/var/log/%{name}

%post
%_post_service %{name}

%preun
%_preun_service %{name}

%postun
[ "$1" -ge "1" ] && /sbin/service corosync condrestart &>/dev/null || :

%files
%doc LICENSE
%{_sbindir}/corosync*
%{_bindir}/corosync*
%{_sysconfdir}/logrotate.d/corosync
%dir %{_sysconfdir}/corosync
%dir %{_sysconfdir}/corosync/service.d
%dir %{_sysconfdir}/corosync/uidgid.d
%config(noreplace) %{_sysconfdir}/corosync/corosync.conf.example
%dir %{_localstatedir}/lib/corosync
%{_mandir}/man5/corosync.conf.5*
%{_mandir}/man5/votequorum.5*
%{_mandir}/man7/cmap_keys.7*
%{_mandir}/man7/corosync_overview.7*
%{_mandir}/man8/corosync-*.8*
%{_mandir}/man8/corosync.8*
%{_unitdir}/corosync-notifyd.service
%{_unitdir}/corosync.service
%dir /var/log/%{name}

%files -n %{libname_common}
%{_libdir}/libcorosync_common.so.%{major}{,.*}

%files -n %{libcfg}
%{_libdir}/libcfg.so.%{major7}{,.*}

%files -n %{libname_cmap}
%{_libdir}/libcmap.so.%{major}{,.*}

%files -n %{libname_cpg}
%{_libdir}/libcpg.so.%{major}{,.*}

%files -n %{libname_sam}
%{_libdir}/libsam.so.%{major}{,.*}

%files -n %{libquorum}
%{_libdir}/libquorum.so.%{major5}{,.*}

%files -n %{libvotequorum}
%{_libdir}/libvotequorum.so.%{major8}{,.*}

%files -n %{libnamedevel}
%doc LICENSE README.recovery
%{_includedir}/corosync/
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*.pc
%{_mandir}/man3/*.3*


%changelog
* Wed May 06 2020 shlomif <shlomif> 3.0.4-1.mga8
+ Revision: 1580807
- New version 3.0.4

* Thu Feb 20 2020 umeabot <umeabot> 3.0.3-6.mga8
+ Revision: 1545624
- Mageia 8 Mass Rebuild

* Wed Jan 29 2020 daviddavid <daviddavid> 3.0.3-5.mga8
+ Revision: 1485009
- split out all libraries in their own subpkgs

* Wed Jan 29 2020 daviddavid <daviddavid> 3.0.3-4.mga8
+ Revision: 1484775
- rebuild for new libqb 1.0.5
+ wally <wally>
- replace deprecated %%configure2_5x
+ shlomif <shlomif>
- New version 3.0.3

* Sun Sep 23 2018 umeabot <umeabot> 2.4.4-3.mga7
+ Revision: 1296804
- Mageia 7 Mass Rebuild

* Tue Jun 19 2018 wally <wally> 2.4.4-2.mga7
+ Revision: 1238024
- fix build on aarch64

* Sat Apr 14 2018 shlomif <shlomif> 2.4.4-1.mga7
+ Revision: 1218576
- New version 2.4.4 - MGA#22905

* Tue Oct 24 2017 shlomif <shlomif> 2.4.3-1.mga7
+ Revision: 1173366
- Add missing BR
- New version 2.4.3

* Sun Jan 17 2016 daviddavid <daviddavid> 2.3.5-2.mga6
+ Revision: 924890
- switch to %%configure2_5x to fix build
- pass NOCONFIGURE=1 to autogen

* Tue Dec 22 2015 shlomif <shlomif> 2.3.5-1.mga6
+ Revision: 913288
- New version 2.3.5

* Wed Oct 15 2014 umeabot <umeabot> 2.3.4-4.mga5
+ Revision: 742220
- Second Mageia 5 Mass Rebuild

* Thu Sep 18 2014 umeabot <umeabot> 2.3.4-3.mga5
+ Revision: 693688
- Rebuild to fix library dependencies

* Tue Sep 16 2014 umeabot <umeabot> 2.3.4-2.mga5
+ Revision: 678551
- Mageia 5 Mass Rebuild

* Tue Sep 09 2014 ennael <ennael> 2.3.4-1.mga5
+ Revision: 674101
- 2.3.4

* Thu May 08 2014 shlomif <shlomif> 2.3.3-1.mga5
+ Revision: 621195
- New version 2.3.3

* Mon Oct 21 2013 umeabot <umeabot> 2.3.2-2.mga4
+ Revision: 536984
- Mageia 4 Mass Rebuild

* Wed Sep 25 2013 boklm <boklm> 2.3.2-1.mga4
+ Revision: 486085
- Version 2.3.2

* Mon Jan 21 2013 boklm <boklm> 2.3.0-1.mga3
+ Revision: 390617
- Version 2.3.0

* Fri Jan 11 2013 umeabot <umeabot> 2.2.0-2.mga3
+ Revision: 348184
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 09 2013 ennael <ennael> 2.2.0-1.mga3
+ Revision: 344271
- new version
- remove static libraries
- remove unneeded patch

* Tue Jul 31 2012 sander85 <sander85> 2.0.1-1.mga3
+ Revision: 276736
- New version: 2.0.1

* Sat Apr 28 2012 tmb <tmb> 2.0.0-3.mga2
+ Revision: 233640
- Require rpm-helper >= 0.24.8-1 for systemd support

* Fri Apr 27 2012 tmb <tmb> 2.0.0-2.mga2
+ Revision: 233531
- rebuild for versioned rpm-helper requires

* Fri Apr 20 2012 boklm <boklm> 2.0.0-1.mga2
+ Revision: 232061
- version 2.0.0

* Tue Apr 10 2012 boklm <boklm> 1.2.8-4.mga2
+ Revision: 230100
- add service.d config directory

* Tue Apr 03 2012 ennael <ennael> 1.2.8-3.mga2
+ Revision: 228181
- add logdir so that corosync can start

* Tue Jan 11 2011 blino <blino> 1.2.8-2.mga1
+ Revision: 5682
- remove old ldconfig scriptlets
- imported package corosync

